Skip to content

# Something extra

## Icons

The library presents two PNG icons which can be used to embed a hyperlink to the AutoConnect menu.

- Bar type
- Cog type

To reference the icon, use the AUTOCONNECT_LINK macro in the sketch. It expands into the string literal as an HTML `<a></a>` tag with PNG embedded of the AutoConnect menu hyperlinks. Icon type is specified by the parameter of the macro.

  BAR_24Bars icon, 24x24.
  BAR_32Bars icon, 32x32.
  BAR_48Bars icon, 48x48.
  COG_24Cog icon, 24x24.
  COG_32Cog icon, 32x32.

Usage

    String html = "<html>";
    html += AUTOCONNECT_LINK(BAR_32);
    html += "</html>";
    server.send(200, "text/html", html);